Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002740 [JEDI VCL] 00 JVCL Components minor always 2005-03-10 14:09 2005-03-14 00:32
Reporter anonymous View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002740: Problem saving Properties in TJvCustomAppStorage
Description There is a minor bug in the TJvCustomAppStorage.WriteEnumerationInt procedure. In TJvCustomAppStorage.WriteProperty, if the property type is tkChar or tkInteger and StorageOptions.TypedIntegerAsString is True, the WriteEnumerationInt procedure is called. However, this procedure doesn't know how to deal with tkChar properties and so an error is raised for these types.
Additional Information Is a possible workaround to just put the line:

if (TypeInfo.Kind in [tkInteger,tkChar]) then

instead of: if TypeInfo.Kind = tkInteger then

in the WriteEnumerationInt procedure??
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0002751resolvedjfudickar Error with TJvCustomAppStorage and tkChar properties 

-  Notes
(0006697)
jfudickar (developer)
2005-03-13 13:07

Should be fixed. Please check

- Issue History
Date Modified Username Field Change
2005-03-10 14:09 anonymous New Issue
2005-03-13 12:46 jfudickar Relationship added has duplicate 0002751
2005-03-13 13:07 jfudickar Status new => assigned
2005-03-13 13:07 jfudickar Assigned To => jfudickar
2005-03-13 13:07 jfudickar Note Added: 0006697
2005-03-13 13:07 jfudickar Status assigned => feedback
2005-03-14 00:32 jfudickar Status feedback => resolved
2005-03-14 00:32 jfudickar Fixed in Version => 3.00
2005-03-14 00:32 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker